Subject: [bug#73494] [PATCH v3 2/3] services: cleanup: Make /var/run a symlink of /run.

From: Hilton Chain <[email-masked]>
Date: Tue, 29 Apr 2025 14:28:29 +0800

On Tue, 29 Apr 2025 12:47:24 +0800,
Z572 wrote:
>
> [1  <multipart/mixed (7bit)>]
> [1.1  <text/plain (7bit)>]
> Maxim Cournoyer <[email-masked]> writes:
>
> > Hi Hilton,
> >
> > Hilton Chain <[email-masked]> writes:
> >
> > [...]
> >
> >> As said in [1], I have changed to use bind mount instead, currently
> >> locally and
> >> available in [2].  This approach should get rid of symlink issues.
> >
> > As mentioned on IRC, I've tried all these, but I'm still left with a
> > broken 'jami-provisioning' system test.  It still needs investigating to
> > understand what is at cause.  I've tried many things such as having our
> > dbus use /run instead of /var/run (via a graft -- I hope this was in
> > effect in the system tests, it looks like it should), but the problem
> > persisted.
>
>
> mkdir-p/perms does not accept symlinks[1],
>
> adjust mkdir-p/perms to
>
> ```
> (mkdir-p "/var/run/jami")
> (chown "/var/run/jami" (passwd:uid user) (passwd:gid user))
> (chmod "/var/run/jami" #o700)
> ```

Using a bind mount should get rid of symlink issues, there're more usage of
mkdir-p/perms and mounting /var/run into container currently.

> can work
>
> and (@@ (gnu tests telephony) make-jami-os) need remove
> shepherd-system-log-service-type and add syslog-service-type can
> successed.

Thanks, this does pass the tests.  Do you know why this is needed?